Package org.mariadb.jdbc.internal.com.read.resultset

## Class UpdatableResultSet

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.resultset.SelectResultSet
  - - org.mariadb.jdbc.internal.com.read.resultset.UpdatableResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

    public class UpdatableResultSet
    extends SelectResultSet

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.com.read.resultset.SelectResultSet

`columnInformationLength, columnsInformation, noBackslashEscapes, options, row, timeZone, TINYINT1_IS_BIT, YEAR_IS_DATE_TYPE`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`UpdatableResultSet​(ColumnDefinition[] columnsInformation, Results results, Protocol protocol, PacketInputStream reader, boolean callableResult, boolean eofDeprecated)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute​(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()` {inheritDoc}.
`void` `close()` Close resultSet.
`void` `deleteRow()` {inheritDoc}.
`boolean` `first()`
`int` `getConcurrency()`
`void` `insertRow()` {inheritDoc}.
`boolean` `last()`
`void` `moveToCurrentRow()` {inheritDoc}.
`void` `moveToInsertRow()` {inheritDoc}.
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()` {inheritDoc}.
`boolean` `relative​(int rows)`
`void` `updateArray​(int columnIndex, Array array)` {inheritDoc}.
`void` `updateArray​(String columnLabel, Array array)` {inheritDoc}.
`void` `updateAsciiStream​(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateAsciiStream​(int columnIndex, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateAsciiStream​(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateAsciiStream​(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateAsciiStream​(String columnLabel, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateAsciiStream​(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBigDecimal​(int columnIndex, BigDecimal value)` {inheritDoc}.
`void` `updateBigDecimal​(String columnLabel, BigDecimal value)` {inheritDoc}.
`void` `updateBinaryStream​(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateBinaryStream​(int columnIndex, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateBinaryStream​(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBinaryStream​(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateBinaryStream​(String columnLabel, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateBinaryStream​(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBlob​(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateBlob​(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBlob​(int columnIndex, Blob blob)` {inheritDoc}.
`void` `updateBlob​(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateBlob​(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBlob​(String columnLabel, Blob blob)` {inheritDoc}.
`void` `updateBoolean​(int columnIndex, boolean bool)` {inheritDoc}.
`void` `updateBoolean​(String columnLabel, boolean value)` {inheritDoc}.
`void` `updateByte​(int columnIndex, byte value)` {inheritDoc}.
`void` `updateByte​(String columnLabel, byte value)` {inheritDoc}.
`void` `updateBytes​(int columnIndex, byte[] value)` {inheritDoc}.
`void` `updateBytes​(String columnLabel, byte[] value)` {inheritDoc}.
`void` `updateCharacterStream​(int columnIndex, Reader value)` {inheritDoc}.
`void` `updateCharacterStream​(int columnIndex, Reader reader, int length)` {inheritDoc}.
`void` `updateCharacterStream​(int columnIndex, Reader value, long length)` {inheritDoc}.
`void` `updateCharacterStream​(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateCharacterStream​(String columnLabel, Reader reader, int length)` {inheritDoc}.
`void` `updateCharacterStream​(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateClob​(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateClob​(int columnIndex, Reader reader, long length)` {inheritDoc}.
`void` `updateClob​(int columnIndex, Clob clob)` {inheritDoc}.
`void` `updateClob​(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateClob​(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateClob​(String columnLabel, Clob clob)` {inheritDoc}.
`void` `updateDate​(int columnIndex, Date date)` {inheritDoc}.
`void` `updateDate​(String columnLabel, Date value)` {inheritDoc}.
`void` `updateDouble​(int columnIndex, double value)` {inheritDoc}.
`void` `updateDouble​(String columnLabel, double value)` {inheritDoc}.
`void` `updateFloat​(int columnIndex, float value)` {inheritDoc}.
`void` `updateFloat​(String columnLabel, float value)` {inheritDoc}.
`void` `updateInt​(int columnIndex, int value)` {inheritDoc}.
`void` `updateInt​(String columnLabel, int value)` {inheritDoc}.
`void` `updateLong​(int columnIndex, long value)` {inheritDoc}.
`void` `updateLong​(String columnLabel, long value)` {inheritDoc}.
`void` `updateNCharacterStream​(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateNCharacterStream​(int columnIndex, Reader value, long length)` {inheritDoc}.
`void` `updateNCharacterStream​(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateNCharacterStream​(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateNClob​(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateNClob​(int columnIndex, Reader reader, long length)` {inheritDoc}.
`void` `updateNClob​(int columnIndex, NClob nclob)` {inheritDoc}.
`void` `updateNClob​(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateNClob​(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateNClob​(String columnLabel, NClob nclob)` {inheritDoc}.
`void` `updateNString​(int columnIndex, String value)` {inheritDoc}.
`void` `updateNString​(String columnLabel, String value)` {inheritDoc}.
`void` `updateNull​(int columnIndex)` {inheritDoc}.
`void` `updateNull​(String columnLabel)` {inheritDoc}.
`void` `updateObject​(int columnIndex, Object value)` {inheritDoc}.
`void` `updateObject​(int columnIndex, Object value, int scaleOrLength)` {inheritDoc}.
`void` `updateObject​(String columnLabel, Object value)` {inheritDoc}.
`void` `updateObject​(String columnLabel, Object value, int scaleOrLength)` {inheritDoc}.
`void` `updateRef​(int columnIndex, Ref ref)` {inheritDoc}.
`void` `updateRef​(String columnLabel, Ref ref)` {inheritDoc}.
`void` `updateRow()` {inheritDoc}.
`void` `updateRowId​(int columnIndex, RowId rowId)` {inheritDoc}.
`void` `updateRowId​(String columnLabel, RowId rowId)` {inheritDoc}.
`void` `updateShort​(int columnIndex, short value)` {inheritDoc}.
`void` `updateShort​(String columnLabel, short value)` {inheritDoc}.
`void` `updateSQLXML​(int columnIndex, SQLXML xmlObject)` {inheritDoc}.
`void` `updateSQLXML​(String columnLabel, SQLXML xmlObject)` {inheritDoc}.
`void` `updateString​(int columnIndex, String value)` {inheritDoc}.
`void` `updateString​(String columnLabel, String value)` {inheritDoc}.
`void` `updateTime​(int columnIndex, Time time)` {inheritDoc}.
`void` `updateTime​(String columnLabel, Time value)` {inheritDoc}.
`void` `updateTimestamp​(int columnIndex, Timestamp timeStamp)` {inheritDoc}.
`void` `updateTimestamp​(String columnLabel, Timestamp value)` {inheritDoc}.

### Methods inherited from class org.mariadb.jdbc.internal.com.read.resultset.SelectResultSet

`abort, addRowData, clearWarnings, createEmptyResultSet, createGeneratedData, createResultSet, deleteCurrentRowData, fetchRemaining, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCurrentRowData, getCursorName, getDataSize, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getRowPointer, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isAfterLast, isBeforeFirst, isBinaryEncoded, isCallableResult, isClosed, isFirst, isFullyLoaded, isLast, isWrapperFor, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setForceTableAlias, setRowPointer, setStatement, unwrap, updateRowData, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### UpdatableResultSet

    public UpdatableResultSet​(ColumnDefinition[] columnsInformation,
                              Results results,
                              Protocol protocol,
                              PacketInputStream reader,
                              boolean callableResult,
                              boolean eofDeprecated)
                       throws IOException,
                              SQLException

Constructor.

Parameters:
  `columnsInformation` - column information
  `results` - results
  `protocol` - current protocol
  `reader` - stream fetcher
  `callableResult` - is it from a callableStatement ?
  `eofDeprecated` - is EOF deprecated
Throws:
  `IOException` - if any connection error occur
  `SQLException` - if any connection error occur

### Method Detail

#### getConcurrency

    public int getConcurrency()

Specified by:
  `getConcurrency` in interface `ResultSet`
Overrides:
  `getConcurrency` in class `SelectResultSet`

#### updateNull

    public void updateNull​(int columnIndex)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateNull` in interface `ResultSet`
Overrides:
  `updateNull` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull​(String columnLabel)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateNull` in interface `ResultSet`
Overrides:
  `updateNull` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(int columnIndex,
                              boolean bool)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateBoolean` in interface `ResultSet`
Overrides:
  `updateBoolean` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(String columnLabel,
                              boolean value)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateBoolean` in interface `ResultSet`
Overrides:
  `updateBoolean` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(int columnIndex,
                           byte value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateByte` in interface `ResultSet`
Overrides:
  `updateByte` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(String columnLabel,
                           byte value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateByte` in interface `ResultSet`
Overrides:
  `updateByte` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(int columnIndex,
                            short value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateShort` in interface `ResultSet`
Overrides:
  `updateShort` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(String columnLabel,
                            short value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateShort` in interface `ResultSet`
Overrides:
  `updateShort` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(int columnIndex,
                          int value)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateInt` in interface `ResultSet`
Overrides:
  `updateInt` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(String columnLabel,
                          int value)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateInt` in interface `ResultSet`
Overrides:
  `updateInt` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(int columnIndex,
                            float value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateFloat` in interface `ResultSet`
Overrides:
  `updateFloat` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(String columnLabel,
                            float value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateFloat` in interface `ResultSet`
Overrides:
  `updateFloat` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(int columnIndex,
                             double value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateDouble` in interface `ResultSet`
Overrides:
  `updateDouble` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(String columnLabel,
                             double value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateDouble` in interface `ResultSet`
Overrides:
  `updateDouble` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(int columnIndex,
                                 BigDecimal value)
                          throws SQLException

{inheritDoc}.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Overrides:
  `updateBigDecimal` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(String columnLabel,
                                 BigDecimal value)
                          throws SQLException

{inheritDoc}.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Overrides:
  `updateBigDecimal` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(int columnIndex,
                             String value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateString` in interface `ResultSet`
Overrides:
  `updateString` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(String columnLabel,
                             String value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateString` in interface `ResultSet`
Overrides:
  `updateString` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(int columnIndex,
                            byte[] value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateBytes` in interface `ResultSet`
Overrides:
  `updateBytes` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(String columnLabel,
                            byte[] value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateBytes` in interface `ResultSet`
Overrides:
  `updateBytes` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(int columnIndex,
                           Date date)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateDate` in interface `ResultSet`
Overrides:
  `updateDate` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(String columnLabel,
                           Date value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateDate` in interface `ResultSet`
Overrides:
  `updateDate` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(int columnIndex,
                           Time time)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateTime` in interface `ResultSet`
Overrides:
  `updateTime` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(String columnLabel,
                           Time value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateTime` in interface `ResultSet`
Overrides:
  `updateTime` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(int columnIndex,
                                Timestamp timeStamp)
                         throws SQLException

{inheritDoc}.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Overrides:
  `updateTimestamp` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(String columnLabel,
                                Timestamp value)
                         throws SQLException

{inheritDoc}.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Overrides:
  `updateTimestamp` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream inputStream)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream inputStream)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream inputStream,
                                  int length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream inputStream,
                                  int length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream inputStream,
                                  long length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream inputStream,
                                  long length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Overrides:
  `updateAsciiStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream inputStream,
                                   int length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream inputStream,
                                   long length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream inputStream,
                                   int length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream inputStream,
                                   long length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream inputStream)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream inputStream)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Overrides:
  `updateBinaryStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader reader,
                                      int length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader value)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader,
                                      int length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader value,
                                      long length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Overrides:
  `updateCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object value,
                             int scaleOrLength)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Overrides:
  `updateObject` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Overrides:
  `updateObject` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object value,
                             int scaleOrLength)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Overrides:
  `updateObject` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Overrides:
  `updateObject` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(int columnIndex,
                           long value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateLong` in interface `ResultSet`
Overrides:
  `updateLong` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(String columnLabel,
                           long value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateLong` in interface `ResultSet`
Overrides:
  `updateLong` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(int columnIndex,
                          Ref ref)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRef` in interface `ResultSet`
Overrides:
  `updateRef` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(String columnLabel,
                          Ref ref)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRef` in interface `ResultSet`
Overrides:
  `updateRef` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           Blob blob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           Blob blob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Overrides:
  `updateBlob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Clob clob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Clob clob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Overrides:
  `updateClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(int columnIndex,
                            Array array)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateArray` in interface `ResultSet`
Overrides:
  `updateArray` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(String columnLabel,
                            Array array)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateArray` in interface `ResultSet`
Overrides:
  `updateArray` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(int columnIndex,
                            RowId rowId)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateRowId` in interface `ResultSet`
Overrides:
  `updateRowId` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(String columnLabel,
                            RowId rowId)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateRowId` in interface `ResultSet`
Overrides:
  `updateRowId` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(int columnIndex,
                              String value)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateNString` in interface `ResultSet`
Overrides:
  `updateNString` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(String columnLabel,
                              String value)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateNString` in interface `ResultSet`
Overrides:
  `updateNString` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            NClob nclob)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            NClob nclob)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Overrides:
  `updateSQLXML` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Overrides:
  `updateSQLXML` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader value,
                                       long length)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Overrides:
  `updateNCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Overrides:
  `updateNCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader reader)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Overrides:
  `updateNCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Overrides:
  `updateNCharacterStream` in class `SelectResultSet`
Throws:
  `SQLException`

#### insertRow

    public void insertRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `insertRow` in interface `ResultSet`
Overrides:
  `insertRow` in class `SelectResultSet`
Throws:
  `SQLException`

#### updateRow

    public void updateRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRow` in interface `ResultSet`
Overrides:
  `updateRow` in class `SelectResultSet`
Throws:
  `SQLException`

#### deleteRow

    public void deleteRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `deleteRow` in interface `ResultSet`
Overrides:
  `deleteRow` in class `SelectResultSet`
Throws:
  `SQLException`

#### refreshRow

    public void refreshRow()
                    throws SQLException

{inheritDoc}.

Specified by:
  `refreshRow` in interface `ResultSet`
Overrides:
  `refreshRow` in class `SelectResultSet`
Throws:
  `SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()

{inheritDoc}.

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Overrides:
  `cancelRowUpdates` in class `SelectResultSet`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

{inheritDoc}.

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Overrides:
  `moveToInsertRow` in class `SelectResultSet`
Throws:
  `SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()

{inheritDoc}.

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Overrides:
  `moveToCurrentRow` in class `SelectResultSet`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Overrides:
  `beforeFirst` in class `SelectResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Overrides:
  `first` in class `SelectResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Overrides:
  `last` in class `SelectResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Overrides:
  `afterLast` in class `SelectResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute​(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Overrides:
  `absolute` in class `SelectResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative​(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Overrides:
  `relative` in class `SelectResultSet`
Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `SelectResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Overrides:
  `previous` in class `SelectResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Description copied from class: `SelectResultSet`
Close resultSet.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Overrides:
  `close` in class `SelectResultSet`
Throws:
  `SQLException`